# Bad Memories Gallery Unlocker Mod
# By Meushi @ F95zone
#
# Features: Unlocks all Scenes replays, Images & Special images in the gallery.
# 
# Credit: AON @ f95zone for info on adding items to persistent._seen_images dict.
#
# Installation: Save this file into the "game" folder to use it.
#
# This is a universal mod, does not replace any of the original game files and should work on any version of the game.

init 1 python:
    # Set MC persistent variables, needed for scene replays
    if not persistent.pc_msure and not persistent.pc_fsure:
        persistent.pc_fsure = "Doe"
    if not persistent.pc_msure:
        persistent.pc_msure = persistent.pc_fsure
    if not persistent.pc_fsure:
        persistent.pc_fsure = persistent.pc_msure
    if not persistent.pc_fname:
        persistent.pc_fname = "Jill"
    if not persistent.pcmdf:
        persistent.pcmdf = persistent.pc_fname
    if not persistent.pc_mname:
        persistent.pc_mname = "John"
    if not persistent.pcmdm:
        persistent.pcmdm = persistent.pc_mname
    if persistent.pcgender == "woman":
        persistent.pc_name = persistent.pc_fname
    else:
        persistent.pcgender = "man"
        persistent.pc_name = persistent.pc_mname

    # Enable special images
    if not persistent.gallery_special:
        persistent.gallery_special = True

    # Unlock images by adding the image names to seen_image dict
    for imgInt in range(len(nameByID)):
        imgName = nameByID[imgInt]
        imgTpl = tuple(imgName.split())
        if len(imgName) > 0:
            if renpy.seen_image(imgName) == False:
                persistent._seen_images[imgTpl] = True

    # Unlock scene replays by adding the label names to seen_label dict
    for scnInt in range(len(nameByIDscene)):
        scnLbl = nameByIDscene[scnInt][1]
        if len(scnLbl) > 0:
            if renpy.seen_label(scnLbl) == False:
                persistent._seen_ever[scnLbl] = True

    # Unlock scene icons by adding the image names to seen_image dict
    for scnInt in range(len(nameByIDscene)):
        scnImg = nameByIDscene[scnInt][0]
        scnTpl = tuple(scnImg.split())
        if len(scnImg) > 0:
            if renpy.seen_image(scnImg) == False:
                persistent._seen_images[scnTpl] = True
